# Retrieve list of shipments called with the API

> Webhooks API, GET /shipment-usage: Retrieve the list of shipments called with the API within the provided timeframe, that usages have a minimum resolution of a month (you cant select the usage for one  week for example, the usage will automatically be for the month of the week provided).

`GET /shipment-usage` on the Webhooks API. Base URL: `https://api.sinay.ai/webhook/api/v1`.

Retrieve the list of shipments called with the API within the provided timeframe, that usages have a minimum resolution of a month (you cant select the usage for one  week for example, the usage will automatically be for the month of the week provided)

## Query parameters

::api-parameters{location="query"}
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `startTime` | string (date-time) | No | Start time at which usages must be found. Example: `2024-06-12T12:00:00Z`. |
| `endTime` | string (date-time) | No | End time at which usages must be found. Example: `2024-06-12T12:00:00Z`. |
| `periodicity` | any | No | — |
::

## Responses

::api-response
---
status: "200"
description: Usage has been recovered
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `apis` | object | No | — |
| `apis.<key>` | object | No | — |
| `apis.<key>.periodicUsages` | object | No | — |
| `apis.<key>.periodicUsages.<key>` | object | No | — |
| `apis.<key>.periodicUsages.<key>.consumedShipment` | integer (int32) | Yes | — |
| `apis.<key>.periodicUsages.<key>.consumedShipmentList` | array of string | Yes | — |

::

::api-response
---
status: "400"
description: Bad request
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::

::api-response
---
status: "429"
description: Too Many Requests
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::

::api-response
---
status: "500"
description: An error occurred on server side
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `code` | string | Yes | — |
| `detail` | string | Yes | — |

::
